#################################################################################
#                                                                               #
#                       copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""AttachmentFieldTool main class"""

# Python imports
from StringIO import StringIO
import os

# Zope imports
from AccessControl import ClassSecurityInfo
from OFS.PropertyManager import PropertyManager
from OFS.SimpleItem import SimpleItem
from Products.CMFCore.utils import UniqueObject
from Globals import InitializeClass
from Products.PageTemplates.PageTemplateFile import PageTemplateFile

# CMF imports
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.ActionProviderBase import ActionProviderBase

# Other imports
import AttachmentService

_www = os.path.join(os.path.dirname(__file__), 'www')

class AttachmentFieldTool(UniqueObject, AttachmentService.AttachmentService):
    """
    AttachmentFieldTool tool
    """

    id = 'portal_attachment'
    meta_type = 'AttachmentField Tool'
    security = ClassSecurityInfo()
##    manage_options=(
##        (
##        { 'label' : 'Overview'
##        , 'action' : 'manage_overview'
##        },
##        ) + 
##        ActionProviderBase.manage_options + 
##        PropertyManager.manage_options + 
##        SimpleItem.manage_options
##        )

    #
    #   ZMI methods
    #

    
InitializeClass(AttachmentFieldTool)
