##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""
"""
from global_symbols import *

import os
import string
import AttachmentHandler

class AudioAttachment(AttachmentHandler.AbstractHandler):
    """
    Audio file abstraction
    """
    converter_type = "Audio"
    icon_file = "audio.gif"
    small_icon_file = "audio_small.gif"
    content_types = (
        'audio/mpeg',
        'audio/x-wav',
        'audio/x-pn-realaudio',
        "audio/x-realaudio",
        "audio/x-mpegurl",
        )

    index_path = None
    index_arguments = None
    index_encoding = None

    preview_path = None
    preview_arguments = None
    preview_encoding = None
    preview_format = None
    


AttachmentHandler.registerHandler(AudioAttachment)
