##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""
"""
from global_symbols import *

import os
import string
import AttachmentHandler

class CompressedAttachment(AttachmentHandler.AbstractHandler):
    """
    Compressed / compressed file abstraction
    """
    converter_type = "Compressed"
    icon_file = "zip.gif"
    small_icon_file = "zip_small.gif"
    content_types = (
        'application/sit',
        'application/x-stuffit',
        'application/gtar',
        'application/tar',
        'application/gz',
        'application/x-gzip',
        'application/x-gzip-compressed',
        'application/x-rar-compressed',
        )


    index_path = None
    index_arguments = None
    index_encoding = None
    index_path = None

    preview_path = None
    preview_arguments = None
    preview_encoding = None
    preview_format = None
    


AttachmentHandler.registerHandler(CompressedAttachment)
