##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""
"""
from global_symbols import *

import os
import string
import AttachmentHandler

class VideoAttachment(AttachmentHandler.AbstractHandler):
    """
    Video file abstraction
    """
    converter_type = "Video"
    icon_file = "video.gif"
    small_icon_file = "video_small.gif"
    content_types = (
        "video/x-ms-wmv",
        "video/x-mpegurl",
        "video/mpeg",
        "video/quicktime",
        "video/vnd.vivo",
        "video/x-ms-asf",
        "video/x-ms-wm",
        "video/x-ms-wvx",
        "video/x-msvideo",
        "video/x-mx-wmx",
        "video/x-sgi-movie",
        )

    index_path = None
    index_arguments = None
    index_encoding = None

    preview_path = None
    preview_arguments = None
    preview_encoding = None
    preview_format = None
    


AttachmentHandler.registerHandler(VideoAttachment)
